<?php get_header(); ?>

<div id="maintext">
	
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<div class="postblock">
		<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
		<p class="date"><?php the_time('F jS, Y') ?> by <strong><?php the_author() ?></strong></p>
				
		
		<?php the_content('Read the rest of this entry &raquo;'); ?>
		
		
		<p class="postmetadata">Posted in <?php the_category(', ') ?><?php edit_post_link('Edit','','<strong>|</strong>'); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p> 
				
				<!--
				<?php trackback_rdf(); ?>
				-->

		</div>
				
		<?php comments_template(); ?>
		


		<p class="navigation">
			<span class="left"><?php posts_nav_link('','','&laquo; Older Entries') ?></span> <span class="right"><?php posts_nav_link('','Newer Entries &raquo;','') ?></span>
		</p>
		
	<?php endwhile; else: ?>


		<div id="error">
		<h2>Not Found</h2>
		<p><?php _e("Sorry, but you are looking for something that isn't here."); ?></p>
		<?php include (TEMPLATEPATH . "/searchform.php"); ?>
		</div>
	<?php endif; ?>

</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>

